RIPPERX(1)

NAME
ripperX — graphical (GTK) frontend for ripping and OGG/FLAC/MP3 encoding CD tracks

SYNOPSIS

ripperX

DESCRIPTION

This manual page documents briefly the ripperX command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

ripperX is an X-based program that uses cdparanoia to convert (i.e. "rip") CD audio tracks to WAV files, and then calls the Vorbis/Ogg encoder oggenc to convert the WAV to an OGG file. It can also call flac to perform loss-less compression on the WAV file, resulting in a FLAC file.

Alternately, if you have an MP3 encoder installed such as toolame lame or bladeenc, it can then convert the WAV into a MP3 file.

Besides a nice GUI interface, ripperX also supports CDDB queries to retrieve song and album information, progress meters, and pausing while ripping.

OPTIONS

This program takes no command line arguments. After starting the application, select the Config button and cycle through the tabs to learn what options are configurable.

Because Vorbis/Ogg typically uses variable bit rates, there is not a direct correlation between the bitrate selected for encoding and the rate used by oggenc. The bitrates selected in the MP3 tab of the Configuration dialog are passed to oggenc with the -b switch. Enabling or disabling VBR when using Vorbis/Ogg has no effect on the encoding process.

The FLAC encoding currently does not accept any bitrate arguments, so any bitrate you specify in the config dialog will be ignored for this type of encoding.

SEE ALSO

cdparanoia (1).

oggenc (1).

flac (1).

toolame (1).

Documentation in /usr/share/doc/ripperx/

BUGS

Many, to be sure... Please report them as you find them!

AUTHOR

This manual page was written by tony mancill tmancill@debian.org for the Debian GNU/Linux system (but may be used by others).